Subject: Position wanted: Landscape supervisor

From: [email-masked] (Dr fixu)
Date: 20 Jan 1995 00:16:55 -0500

I am currently open to any information on landscape supervision leads.  I
have governmental preferences and am willing to relocate.  My experience
is primarily in Southern Calif. and have a contractors licenses there
(landscape & general).  If any one can suggest some leads to follow up
(such as where to ask) I would be most grateful

                                                            Doc